using Xamarin.Forms;
using Xamarin.Forms.Platform.WinPhone;
using Steema.TeeChart;
using TeeChartsSample;
using TeeChartsSample.WinPhone;

[assembly: ExportRenderer(typeof(ChartView), typeof(TeeChartRenderer))]

namespace TeeChartsSample.WinPhone
{
    class TeeChartRenderer : ViewRenderer<ChartView, TChart>
    {
        private Chart chartModel;
        private TChart chart;

        protected override void OnElementChanged(ElementChangedEventArgs<ChartView> e)
        {
            base.OnElementChanged(e);

            chartModel = Element.Model;

            chart = new TChart();

            chart.Chart = chartModel;

            SetNativeControl(chart);
        }

        protected override void OnElementPropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
        {
            base.OnElementPropertyChanged(sender, e);
        }
    }
}